package de.szut.casino.dice;

import java.math.BigDecimal;

public class DiceResult {
    private boolean win;
    private BigDecimal payout;
    private BigDecimal rolledValue;

    public DiceResult(boolean win, BigDecimal payout, BigDecimal rolledValue) {
        this.win = win;
        this.payout = payout;
        this.rolledValue = rolledValue;
    }

    public boolean isWin() {
        return win;
    }

    public void setWin(boolean win) {
        this.win = win;
    }

    public BigDecimal getPayout() {
        return payout;
    }

    public void setPayout(BigDecimal payout) {
        this.payout = payout;
    }

    public BigDecimal getRolledValue() {
        return rolledValue;
    }

    public void setRolledValue(BigDecimal rolledValue) {
        this.rolledValue = rolledValue;
    }
}
